Update package promo status

Marks a package as promo with a promo type, or clears its promo marker. Repeating the current value is idempotent.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Package identifier.

Body Params
boolean
required

Whether the package is marked as promo.

string | null
enum

Promo type from GET /inventory/promo-types. Required when promo is true, must be null or omitted when promo is false.

Allowed:
Responses

400

Malformed JSON request body

404

Package not found

422

Validation failed

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json